/* $Id: ShowSelectedElementAction.java 972 2015-08-17 00:24:12Z shayashi $ */
package smart_gs.reasoning_web.swingui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.reasoning_web.logical.GS_RWElement;

public class ShowSelectedElementAction implements ActionListener {
	
	public void actionPerformed(ActionEvent e) {
		this.execute();
	}
	
	public void execute(){
		GS_RWElement element = RWGlobalViewPanel.getInstance().getSelectedElement();
		if(element != null){
			element.show();
		}
	}
}
